package com.sinosig.core.repository.po ;

import java.math.BigDecimal;
import java.sql.Timestamp;
import java.math.BigInteger;

import com.sinosig.core.module.filter.CIDSearchContext;

/**
 * 实体 [车险单] 存储模型
 */
public interface CID{

    /**
     * 商业险失效时间
     */
    Timestamp getSyxde();

    void setSyxde(Timestamp syxde);

    /**
     * 获取 [商业险失效时间]脏标记
     */
    boolean getSyxdeDirtyFlag();
    /**
     * A/B类
     */
    String getAbl();

    void setAbl(String abl);

    /**
     * 获取 [A/B类]脏标记
     */
    boolean getAblDirtyFlag();
    /**
     * 发动机号
     */
    String getFdjh();

    void setFdjh(String fdjh);

    /**
     * 获取 [发动机号]脏标记
     */
    boolean getFdjhDirtyFlag();
    /**
     * CIDData
     */
    String getCIDData();

    void setCIDData(String cIDData);

    /**
     * 获取 [CIDData]脏标记
     */
    boolean getCIDDataDirtyFlag();
    /**
     * 号牌底色
     */
    String getHpds();

    void setHpds(String hpds);

    /**
     * 获取 [号牌底色]脏标记
     */
    boolean getHpdsDirtyFlag();
    /**
     * 车船税-交强险
     */
    BigDecimal getCcs_jqx();

    void setCcs_jqx(BigDecimal ccs_jqx);

    /**
     * 获取 [车船税-交强险]脏标记
     */
    boolean getCcs_jqxDirtyFlag();
    /**
     * 商业险
     */
    Integer getSyx();

    void setSyx(Integer syx);

    /**
     * 获取 [商业险]脏标记
     */
    boolean getSyxDirtyFlag();
    /**
     * 核定载质量
     */
    Double getHdzzl();

    void setHdzzl(Double hdzzl);

    /**
     * 获取 [核定载质量]脏标记
     */
    boolean getHdzzlDirtyFlag();
    /**
     * 更新时间
     */
    Timestamp getUpdateDate();

    void setUpdateDate(Timestamp updateDate);

    /**
     * 获取 [更新时间]脏标记
     */
    boolean getUpdateDateDirtyFlag();
    /**
     * 功率
     */
    Double getGl();

    void setGl(Double gl);

    /**
     * 获取 [功率]脏标记
     */
    boolean getGlDirtyFlag();
    /**
     * 车险单名称
     */
    String getCIDName();

    void setCIDName(String cIDName);

    /**
     * 获取 [车险单名称]脏标记
     */
    boolean getCIDNameDirtyFlag();
    /**
     * 渠道类型
     */
    String getQdlx();

    void setQdlx(String qdlx);

    /**
     * 获取 [渠道类型]脏标记
     */
    boolean getQdlxDirtyFlag();
    /**
     * 商业险生效时间
     */
    Timestamp getSyxdb();

    void setSyxdb(Timestamp syxdb);

    /**
     * 获取 [商业险生效时间]脏标记
     */
    boolean getSyxdbDirtyFlag();
    /**
     * 建立时间
     */
    Timestamp getCreateDate();

    void setCreateDate(Timestamp createDate);

    /**
     * 获取 [建立时间]脏标记
     */
    boolean getCreateDateDirtyFlag();
    /**
     * 打印厂牌型号
     */
    String getDycpxh();

    void setDycpxh(String dycpxh);

    /**
     * 获取 [打印厂牌型号]脏标记
     */
    boolean getDycpxhDirtyFlag();
    /**
     * 车辆大类
     */
    String getCldl();

    void setCldl(String cldl);

    /**
     * 获取 [车辆大类]脏标记
     */
    boolean getCldlDirtyFlag();
    /**
     * 交强险
     */
    Integer getJqx();

    void setJqx(Integer jqx);

    /**
     * 获取 [交强险]脏标记
     */
    boolean getJqxDirtyFlag();
    /**
     * 交强险短期费率
     */
    BigDecimal getJqxdqfl();

    void setJqxdqfl(BigDecimal jqxdqfl);

    /**
     * 获取 [交强险短期费率]脏标记
     */
    boolean getJqxdqflDirtyFlag();
    /**
     * 含税保费-商业险
     */
    BigDecimal getHsbf_syx();

    void setHsbf_syx(BigDecimal hsbf_syx);

    /**
     * 获取 [含税保费-商业险]脏标记
     */
    boolean getHsbf_syxDirtyFlag();
    /**
     * 商业险短期方式
     */
    String getSyxdqfs();

    void setSyxdqfs(String syxdqfs);

    /**
     * 获取 [商业险短期方式]脏标记
     */
    boolean getSyxdqfsDirtyFlag();
    /**
     * 核定载客
     */
    Integer getHdzk();

    void setHdzk(Integer hdzk);

    /**
     * 获取 [核定载客]脏标记
     */
    boolean getHdzkDirtyFlag();
    /**
     * 使用性质
     */
    String getSyxz();

    void setSyxz(String syxz);

    /**
     * 获取 [使用性质]脏标记
     */
    boolean getSyxzDirtyFlag();
    /**
     * 建立人
     */
    String getCreateMan();

    void setCreateMan(String createMan);

    /**
     * 获取 [建立人]脏标记
     */
    boolean getCreateManDirtyFlag();
    /**
     * 车辆类型描述
     */
    String getCllxms();

    void setCllxms(String cllxms);

    /**
     * 获取 [车辆类型描述]脏标记
     */
    boolean getCllxmsDirtyFlag();
    /**
     * 新车购置价
     */
    BigDecimal getXcgzj();

    void setXcgzj(BigDecimal xcgzj);

    /**
     * 获取 [新车购置价]脏标记
     */
    boolean getXcgzjDirtyFlag();
    /**
     * 不含税保费-商业险
     */
    BigDecimal getBhsbf_syx();

    void setBhsbf_syx(BigDecimal bhsbf_syx);

    /**
     * 获取 [不含税保费-商业险]脏标记
     */
    boolean getBhsbf_syxDirtyFlag();
    /**
     * 交强险生效时间
     */
    Timestamp getJqxdb();

    void setJqxdb(Timestamp jqxdb);

    /**
     * 获取 [交强险生效时间]脏标记
     */
    boolean getJqxdbDirtyFlag();
    /**
     * 车辆实际价值
     */
    BigDecimal getClsjjz();

    void setClsjjz(BigDecimal clsjjz);

    /**
     * 获取 [车辆实际价值]脏标记
     */
    boolean getClsjjzDirtyFlag();
    /**
     * 税额-商业险
     */
    BigDecimal getSe_syx();

    void setSe_syx(BigDecimal se_syx);

    /**
     * 获取 [税额-商业险]脏标记
     */
    boolean getSe_syxDirtyFlag();
    /**
     * 合计
     */
    BigDecimal getHj();

    void setHj(BigDecimal hj);

    /**
     * 获取 [合计]脏标记
     */
    boolean getHjDirtyFlag();
    /**
     * 业务来源
     */
    String getYwly();

    void setYwly(String ywly);

    /**
     * 获取 [业务来源]脏标记
     */
    boolean getYwlyDirtyFlag();
    /**
     * 号牌种类
     */
    String getHpzl();

    void setHpzl(String hpzl);

    /**
     * 获取 [号牌种类]脏标记
     */
    boolean getHpzlDirtyFlag();
    /**
     * 交强险短期方式
     */
    String getJqxdqfs();

    void setJqxdqfs(String jqxdqfs);

    /**
     * 获取 [交强险短期方式]脏标记
     */
    boolean getJqxdqfsDirtyFlag();
    /**
     * 车辆种类
     */
    String getClzl();

    void setClzl(String clzl);

    /**
     * 获取 [车辆种类]脏标记
     */
    boolean getClzlDirtyFlag();
    /**
     * 商业险短期费率
     */
    BigDecimal getSyxdqfl();

    void setSyxdqfl(BigDecimal syxdqfl);

    /**
     * 获取 [商业险短期费率]脏标记
     */
    boolean getSyxdqflDirtyFlag();
    /**
     * 车架号
     */
    String getCjh();

    void setCjh(String cjh);

    /**
     * 获取 [车架号]脏标记
     */
    boolean getCjhDirtyFlag();
    /**
     * 车牌号码
     */
    String getCphm();

    void setCphm(String cphm);

    /**
     * 获取 [车牌号码]脏标记
     */
    boolean getCphmDirtyFlag();
    /**
     * 排量
     */
    Double getPl();

    void setPl(Double pl);

    /**
     * 获取 [排量]脏标记
     */
    boolean getPlDirtyFlag();
    /**
     * 含税保费-交强险
     */
    BigDecimal getHsbf_jqx();

    void setHsbf_jqx(BigDecimal hsbf_jqx);

    /**
     * 获取 [含税保费-交强险]脏标记
     */
    boolean getHsbf_jqxDirtyFlag();
    /**
     * 交强险失效时间
     */
    Timestamp getJqxde();

    void setJqxde(Timestamp jqxde);

    /**
     * 获取 [交强险失效时间]脏标记
     */
    boolean getJqxdeDirtyFlag();
    /**
     * 车险单标识
     */
    String getCIDId();

    void setCIDId(String cIDId);

    /**
     * 获取 [车险单标识]脏标记
     */
    boolean getCIDIdDirtyFlag();
    /**
     * 不含税保费-交强险
     */
    BigDecimal getBhsbf_jqx();

    void setBhsbf_jqx(BigDecimal bhsbf_jqx);

    /**
     * 获取 [不含税保费-交强险]脏标记
     */
    boolean getBhsbf_jqxDirtyFlag();
    /**
     * 更新人
     */
    String getUpdateMan();

    void setUpdateMan(String updateMan);

    /**
     * 获取 [更新人]脏标记
     */
    boolean getUpdateManDirtyFlag();
    /**
     * 初登日期
     */
    Timestamp getCdrq();

    void setCdrq(Timestamp cdrq);

    /**
     * 获取 [初登日期]脏标记
     */
    boolean getCdrqDirtyFlag();
    /**
     * 整备质量
     */
    Double getZbzl();

    void setZbzl(Double zbzl);

    /**
     * 获取 [整备质量]脏标记
     */
    boolean getZbzlDirtyFlag();
    /**
     * 税额-交强险
     */
    BigDecimal getSe_jqx();

    void setSe_jqx(BigDecimal se_jqx);

    /**
     * 获取 [税额-交强险]脏标记
     */
    boolean getSe_jqxDirtyFlag();
    /**
     * 厂牌型号
     */
    String getCPXHName();

    void setCPXHName(String cPXHName);

    /**
     * 获取 [厂牌型号]脏标记
     */
    boolean getCPXHNameDirtyFlag();
    /**
     * 归属业务员
     */
    String getORGUSERName();

    void setORGUSERName(String oRGUSERName);

    /**
     * 获取 [归属业务员]脏标记
     */
    boolean getORGUSERNameDirtyFlag();
    /**
     * 归属机构
     */
    String getORGName();

    void setORGName(String oRGName);

    /**
     * 获取 [归属机构]脏标记
     */
    boolean getORGNameDirtyFlag();
    /**
     * 人员标识
     */
    String getORGUSERId();

    void setORGUSERId(String oRGUSERId);

    /**
     * 获取 [人员标识]脏标记
     */
    boolean getORGUSERIdDirtyFlag();
    /**
     * 厂牌型号标识
     */
    String getCPXHId();

    void setCPXHId(String cPXHId);

    /**
     * 获取 [厂牌型号标识]脏标记
     */
    boolean getCPXHIdDirtyFlag();
    /**
     * 机构标识
     */
    String getORGId();

    void setORGId(String oRGId);

    /**
     * 获取 [机构标识]脏标记
     */
    boolean getORGIdDirtyFlag();
}
